View Issue Details

IDProjectCategoryView StatusLast Update
0000618Far Manager 1.7xFilterspublic2008-11-23 00:59
ReporterSavefvAssigned Toalexy 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS Version2003
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000618: Фильтр диалога поиска файлов: не сохраняются параметры.
Description1.Открываем окно поиска и добавляем новый фильтр:
  * Alt+F7 > [x] Use filter > [Filter] > Ins.
  * В качестве параметров - указываем дату/время: [x] Date/Time > Указываем диапазон дат. Жмём Ok.
  Даже если сразу после этого захотим отредактировать только что введенные параметры нажав F4, в открывшемся диалоге увидим пустые поля даты/времени.
  Хотя на самом деле в памяти - параметры сохраняются т.к. результаты поиска - удовлетворяют заданным критериям.

2.В этом же диалоге:
Открываем окно поиска и добавляем новый фильтр:
  * Alt+F7 > [x] Use filter > [Filter] > Ins.
  * Отмечаем флаги: [x] Date/Time > [x] Relative.
  * Заполняем любые поля. Жмём кнопку [Reset].
  В результате - все поля приобретают первоначальный вид, кроме блока дата/время (он остается в состоянии, отрисованном при отметке флага "[x] Relative"). Кнопка [Current] - также не появляется.
TagsNo tags attached.
Build2463

Activities

samlyukov

2008-10-12 03:31

reporter   bugnote:0001876

Дубль с http://bugs.farmanager.com/view.php?id=610

HaRT

2008-10-12 12:22

reporter   bugnote:0001878

> Кнопка [Current] - также не появляется
Я подозреваю, что это умышленно. Что должна делать эта кнопка в относительном режиме?
Хотя... Пусть бы она подставляла "0 00:00:01".

samlyukov

2008-10-12 12:28

reporter   bugnote:0001879

о чем речь?? перечитай п.2 еще раз.
согласен с Savefv - там явный баг.

HaRT

2008-10-13 03:54

reporter   bugnote:0001880

> о чем речь?? перечитай п.2 еще раз.
Речь о том, что для кнопки Current следовало бы написать отдельный п.3.

> согласен с Savefv - там явный баг.
А кто спорит?

PS
Не надо считать себя умнее других.

alexy

2008-11-21 14:41

administrator   bugnote:0002001

fixed, 2463

Savefv

2008-11-21 21:46

reporter   bugnote:0002013

Last edited: 2008-11-22 16:01

Для проверки - кинь линк на этот скомпиленый билд, плз

alexy

2008-11-22 22:02

administrator   bugnote:0002038

http://farmanager.com/farbugs/Far.b2465.rar

Savefv

2008-11-23 00:41

reporter   bugnote:0002039

Всё ок. Пофиксено.

Issue History

Date Modified Username Field Change
2008-10-11 17:30 Savefv New Issue
2008-10-12 03:31 samlyukov Note Added: 0001876
2008-10-12 12:22 HaRT Note Added: 0001878
2008-10-12 12:28 samlyukov Note Added: 0001879
2008-10-13 03:54 HaRT Note Added: 0001880
2008-11-21 14:25 alexy Status new => assigned
2008-11-21 14:25 alexy Assigned To => alexy
2008-11-21 14:41 alexy Note Added: 0002001
2008-11-21 14:41 alexy Status assigned => feedback
2008-11-21 21:46 Savefv Note Added: 0002013
2008-11-22 16:01 Savefv Note Edited: 0002013
2008-11-22 22:02 alexy Note Added: 0002038
2008-11-23 00:41 Savefv Note Added: 0002039
2008-11-23 00:46 alexy Build => 2463
2008-11-23 00:46 alexy Status feedback => closed
2008-11-23 00:46 alexy Resolution open => fixed
2008-11-23 00:46 alexy Fixed in Version => 1.71
2008-11-23 00:46 Savefv Status closed => resolved
2008-11-23 00:59 alexy Status resolved => closed